
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>jQuery的deferred对象详解 / iVAN</title>

    <meta name="description" content="jQuery的deferred对象详解 jQuery的开发速度很快,几乎每半年一个大版本,每两个月一个小版本. 每个版本都会引入一些新功能.今天我想介绍的,就是从jQuery 1.5.0版本开始引入的一个新功能----deferred对象. 这个功能很重要,未来将成为jQuery的核心方法,它彻底改变了如何在jQuery中使用ajax.为了实现它,jQuery的全部ajax代码都被改写了.但是,它比较抽象,初学者很难掌握,网上的教程也不多.所以,我把自己的学习笔记整理出来了,希望对大家有用. 本文不是初级教程,针对的读者是那些已经具备">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">jQuery的deferred对象详解</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>jQuery的开发速度很快，几乎每半年一个大版本，每两个月一个小版本。</p>
<p>每个版本都会引入一些新功能。今天我想介绍的，就是从jQuery 1.5.0版本开始引入的一个新功能----deferred对象。</p>
<p>这个功能很重要，未来将成为jQuery的核心方法，它彻底改变了如何在jQuery中使用ajax。为了实现它，jQuery的全部ajax代码都被改写了。但是，它比较抽象，初学者很难掌握，网上的教程也不多。所以，我把自己的学习笔记整理出来了，希望对大家有用。</p>
<p>本文不是初级教程，针对的读者是那些已经具备jQuery使用经验的开发者。如果你想了解jQuery的基本用法，请阅读我编写的《jQuery设计思想》和《jQuery最佳实践》。</p>
<p>======================================</p>
<p>jQuery的deferred对象详解</p>
<p>作者：阮一峰</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2g0Lm9zcy1jbi1oYW5nemhvdS5hbGl5dW5jcy5jb20vMVIyMTEyYjItMC5qcGc=.jpg"></p>
<p>一、什么是deferred对象？</p>
<p>开发网站的过程中，我们经常遇到某些耗时很长的javascript操作。其中，既有异步的操作（比如ajax读取服务器数据），也有同步的操作（比如遍历一个大型数组），它们都不是立即能得到结果的。</p>
<p>通常的做法是，为它们指定回调函数（callback）。即事先规定，一旦它们运行结束，应该调用哪些函数。</p>
<p>但是，在回调函数方面，jQuery的功能非常弱。为了改变这一点，jQuery开发团队就设计了deferred对象。</p>
<p>简单说，deferred对象就是jQuery的回调函数解决方案。在英语中，defer的意思是"延迟"，所以deferred对象的含义就是"延迟"到未来某个点再执行。</p>
<p>它解决了如何处理耗时操作的问题，对那些操作提供了更好的控制，以及统一的编程接口。它的主要功能，可以归结为四点。下面我们通过示例代码，一步步来学习。</p>
<p>二、ajax操作的链式写法</p>
<p>首先，回顾一下jQuery的ajax操作的传统写法：</p>
<pre>
$.ajax({

　　url: "test.html",

　　success: function(){
　　　　alert("哈哈，成功了！");
　　},

　　error:function(){
　　　　alert("出错啦！");
　　}

});</pre>
<p>在上面的代码中，$.ajax()接受一个对象参数，这个对象包含两个方法：success方法指定操作成功后的回调函数，error方法指定操作失败后的回调函数。</p>
<p>$.ajax()操作完成后，如果使用的是低于1.5.0版本的jQuery，返回的是XHR对象，你没法进行链式操作；如果高于1.5.0版本，返回的是deferred对象，可以进行链式操作。</p>
<p>现在，新的写法是这样的：</p>
<pre>
$.ajax("test.html")

.done(function(){ alert("哈哈，成功了！"); })

.fail(function(){ alert("出错啦！"); });</pre>
<p>可以看到，done()相当于success方法，fail()相当于error方法。采用链式写法以后，代码的可读性大大提高。</p>
<p>更多精彩内容：http://www.bianceng.cn/webkf/jquery/</p>
<p>以上是小编为您精心准备的的内容，在的博客、问答、公众号、人物、课程等栏目也有的相关内容，欢迎继续使用右上角搜索按钮进行搜索jquery<br />
                    ，                ajax<br />
                    ，                jquery功能<br />
                    ，                对象<br />
                    ，                函数<br />
                    ，                jquery ajax<br />
                    ，                阮一峰<br />
                    ，                deferred<br />
                    ，                ajax详解<br />
                    ，                jquery延迟对象<br />
                    ，                ajax写法<br />
                    ，                deferred对象<br />
                    ，                success回调函数<br />
                                    链式<br />
                                    jquery deferred对象、deferredresult详解、.deferred 详解、jquery deferred、jquery deferred 使用，以便于您获取更多的相关知识。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-11 05:47:28</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e5%87%bd%e6%95%b0/" title="函数">函数</a>, <a href="https://www.iamivan.net/tag/%e5%af%b9%e8%b1%a1/" title="对象">对象</a>, <a href="https://www.iamivan.net/tag/jquery/" title="jquery">jquery</a>, <a href="https://www.iamivan.net/tag/ajax/" title="ajax">ajax</a>, <a href="https://www.iamivan.net/tag/%e9%98%ae%e4%b8%80%e5%b3%b0/" title="阮一峰">阮一峰</a>, <a href="https://www.iamivan.net/tag/jquery%e5%8a%9f%e8%83%bd/" title="jquery功能">jquery功能</a>, <a href="https://www.iamivan.net/tag/jquery-ajax/" title="jquery ajax">jquery ajax</a>, <a href="https://www.iamivan.net/tag/%e9%93%be%e5%bc%8f/" title="链式">链式</a>, <a href="https://www.iamivan.net/tag/jquery%e5%bb%b6%e8%bf%9f%e5%af%b9%e8%b1%a1/" title="jquery延迟对象">jquery延迟对象</a>, <a href="https://www.iamivan.net/tag/deferred/" title="deferred">deferred</a>, <a href="https://www.iamivan.net/tag/ajax%e8%af%a6%e8%a7%a3/" title="ajax详解">ajax详解</a>, <a href="https://www.iamivan.net/tag/deferred%e5%af%b9%e8%b1%a1/" title="deferred对象">deferred对象</a>, <a href="https://www.iamivan.net/tag/success%e5%9b%9e%e8%b0%83%e5%87%bd%e6%95%b0/" title="success回调函数">success回调函数</a>, <a href="https://www.iamivan.net/tag/ajax%e5%86%99%e6%b3%95/" title="ajax写法">ajax写法</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>jQuery的deferred对象详解的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQ1R1Zb.html" rel="bookmark">jQuery中deferred对象详解及源码分析</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				jQuery的deferred对象使用详解 jQuery的开发速度很快,几乎每半年一个大版本,每两个月一个小版本.每个版本都会引入一些新功能.今天我想介绍的,就是从jQuery 1.5.0版本开始引入的一个新功能--deferred对象.这个功能很重要,未来将成为jQuery的核心方法,它彻底改变了如何在jQuery中使用ajax.为了实现它,jQuery的全部ajax代码都被改写了.但是,它比较抽象,初学者很难掌握,网上的教程也不多.所以,我把自己的学习笔记整理出来了,希望对大家有用. 本文不			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bBZ6DKb.html" rel="bookmark">jQuery的deferred对象详解&lowbar;jquery</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.什么是deferred对象? 开发网站的过程中,我们经常遇到某些耗时很长的javascript操作.其中,既有异步的操作(比如ajax读取服务器数据),也有同步的操作(比如遍历一个大型数组),它们都不是立即能得到结果的. 通常的做法是,为它们指定回调函数(callback).即事先规定,一旦它们运行结束,应该调用哪些函数. 但是,在回调函数方面,jQuery的功能非常弱.为了改变这一点,jQuery开发团队就设计了deferred对象. 简单说,deferred对象就是jQuery的回调函数			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MxE4EBp.html" rel="bookmark">jQuery之Deferred对象详解&lowbar;jquery</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				deferred对象是jQuery对Promises接口的实现.它是非同步操作的通用接口,可以被看作是一个等待完成的任务,开发者通过一些通过的接口对其进行设置.事实上,它扮演代理人(proxy)的角色,将那些非同步操作包装成具有某些统一特性的对象,典型例子就是Ajax操作.网页动画.web worker等等. jQuery的所有Ajax操作函数,默认返回的就是一个deferred对象. Promises是什么 由于JavaScript单线程的特点,如果某个操作耗时很长,其他操作就必需排队等待.为			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ze0j0Op.html" rel="bookmark">利用jQuery的deferred对象实现异步按顺序加载JS文件&lowbar;jquery</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前段时间看了阮一峰的jQuery的deferred对象详解一文,对jQuery中的deferred的用法了一些了解,今天看到园子里的一篇文章:关于重构JS前端框架的失败经验(顺便怀念那些死去的代码),于是把我之前写的一个利用jQuery的deferred异步按顺序加载JS文件方案分享出来,欢迎指正. 如果你现在对jQuery中的deferred还不了解,强烈建议你看一下阮一峰的jQuery的deferred对象详解一文. 加载JS文件的代码如下: 复制代码 代码如下: /* Loading Ja			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M9j9jvp.html" rel="bookmark">jquery的deferred对象实现判断页面中所有图片加载完成</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				判断页面中所有图片是否加载完成 对于图片是否加载完成,我们平时可以用监听图片load 方法来进行.今天主要介绍用jquery的deferred对象来进行判断. 关于jquery的deferred对象,是jquery的重点和难点.对于执行较长时间的函数,我们通常用deferred对象.关于jquery的deferred对象的API请看http://api.jquery.com/category/deferred-object/ 对于deferred对象,大家可以看下阮一峰写的一篇文章jQuery的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M0QNAnp.html" rel="bookmark">jQuery Validate验证框架详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				版本信息: /*! * jQuery Validation Plugin v1.14.0 * * http://jqueryvalidation.org/ * * Copyright (c) 2015 Jörn Zaefferer * Released under the MIT license */   一.导入js库 &lt;script type=&quot;text/javascript&quot; src=&quot;validate/jquery-1.6.2.min.js&quot;&gt;&			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bojJmVz.html" rel="bookmark">jQuery插件制作方法详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				    jQuery插件制作方法详解   jquery插件给我的感觉清一色的清洁,简单.如Jtip,要使用它的功能,只需要在你的元素的class上加 上Jtip,并引入jtip.js及其样式即可以了.其他事情插件全包.我喜欢jquery的一个重要原因是发现她已经有了很多很好,很精彩的插件.写一 个自己的jQuery插件是非常容易的,如果你按照下面的原则来做,可以让其他人也容易地结合使用你的插件.     jquery插件给我的感觉清一色的清洁,简单.如Jtip,要使用它的功能,只需要在你的元素的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bojZqXz.html" rel="bookmark">jQuery Event&period;which 属性详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				jQuery Event.which 属性详解   which属性用于返回触发当前事件时按下的键盘按键或鼠标按钮. 对于键盘和鼠标事件,该属性用于确定你按下的是哪一个键盘按键或鼠标按钮. which属性对DOM原生的event.keyCode和event.charCode进行了标准化. 适用的事件类型主要有键盘事件:keypress.keydown.keyup,以及鼠标事件:mouseup.mousedown. 该属性属于jQuery的Event对象(实例). 语法 jQuery 1.1.3 新			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/rz4o09p.html" rel="bookmark">&amp;amp&semi;&num;106avascript的document和window对象详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				window|对象|详解 [document对象] 该对象是window和frames对象的一个属性,是显示于窗口或框架内的一个文档. 属性 alinkColor 活动链接的颜色(ALINK) anchor 一个HTMI锚点,使用&lt;A NAME=&gt;标记创建(该属性本身也是一个对象) anchors array 列出文档锚点对象的数组(&lt;A NAME=&gt;)(该属性本身也是一个对象) bgColor 文档的背景颜色(BGCOLOR) cookie 存储于cookie.txt文件内的一段			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Xpm7abe.html" rel="bookmark" class="title">win8操作系统消息提醒设置教程</a>
					<div>
						在Windows 8中,将桌面视为一个功能强大的应用,而其它应用的沉浸式体验,可以使使用者专心于当前的工作之中.但是,于此同时带来的问题就是,新消息的推送是否会影响到专心的工作,全部屏蔽掉消息是否又会 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMg53zP.html" rel="bookmark" class="title">tring 宽字符 &plus;&plus;-老问题了c&plus;&plus;，VS2013，CString宽字符，求大神</a>
					<div>
						问题描述 老问题了c++,VS2013,CString宽字符,求大神 直接上代码,道理我都懂,求个解决方法 void CMFCApplication9Dlg::OnBnClickedButton01( ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/1Mvq79b.html" rel="bookmark" class="title">用VBA代码编写一键插入Excel斜线表头</a>
					<div>
						有的时候,我们要在Excel中添加斜线表头,可Excel并没有提供制作斜线表头的功能,每次都要手工画一条斜线,非常麻烦.有没有解决方法呢?其实,我们可以利用VBA代码可以编写一个功能,一键插入Exce ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9bBxVOp.html" rel="bookmark" class="title">网站内容重复太多怎么办</a>
					<div>
						14号百度对网站大面积更新了,查看了自己手里面SEO的一个B2B商务贸易站的收录情况,结果收录还不错现在已经到达600了,说明以前的策略都起了一定的效果,但是我发现了一个不好的现象那就是在site网站 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Lp5XnBM.html" rel="bookmark" class="title">JSP中文留言簿</a>
					<div>
						js|中文 &lt;html&gt;&lt;head&gt;&lt;title&gt;My First Jsp GuestBook&lt;/title&gt;&lt;meta http-equiv=& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/dzZPqoM.html" rel="bookmark" class="title">我的SEO经验谈之网站降权原因与解决方法</a>
					<div>
						当站长发现自已的网站快照不更新,或是百度不在收录网站内容页面,以及本来排名靠前的关键词突然下降的话,那么这个时候的站长就要注意了,因为会出现这种状况的原因是你的网站很可能被百度降权了,那到底是什么原因 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bK7y2Eb.html" rel="bookmark" class="title">SQL计算日期之差，精确到天</a>
					<div>
						自己一个人在家,没什么事情做,突然想起很久没有写东西了,于是............. 经常在对两个日期计算时,不仅想得到单独的年月日,想得到其详细信息,即将日期结果精确到天,下面上一个functio ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze4J48p.html" rel="bookmark" class="title">Excel函数详解日期和时间函数</a>
					<div>
						1.Excel日期和时间函数:DATE [用途]返回代表特定日期的序列号. [语法]DATE(year,month,day) [参数]year 为一到四位,根据使用的日期系统解释该参数.默认情况下,E ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bj7AJ8M.html" rel="bookmark" class="title">十款精心挑选的在线CSS3代码生成工具</a>
					<div>
						今天这篇文章向大家推荐十款非常有用的在线CSS3代码生成工具,这些工具能够帮助你方便的生成CSS3特效.CSS3是对CSS规范的改善和增 强,增加了圆角.旋转.阴影.渐变和动画等众多强大的特性,它使得 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQNvAOM.html" rel="bookmark" class="title">格式化U盘修改格式没有NTFS选项怎么办</a>
					<div>
						  U盘是款体积小巧方便携带的移动储存设备,平常会将重要的数据储存到U盘中,相信大家都遇到过无法传输大于4G的单个文件,这主要是U盘格式问题.在前面教程中也详细介绍过U盘FAT32与NTFS格式优点与 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGAYvoM.html" rel="bookmark" class="title">跟我学Laravel之视图 &amp;amp&semi; Response&lowbar;php实例</a>
					<div>
						基本Response 从路由中返回字符串 复制代码 代码如下: Route::get('/', function() {     return 'Hello World'; }); 创建自定义Resp ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJAgPDp.html" rel="bookmark" class="title">盘点全球最热十家大数据公司中国占三席</a>
					<div>
						文章讲的是盘点全球最热十家大数据公司中国占三席,近两年来,大数据发展浪潮席卷全球.研究机构IDC预测,全球大数据与分析市场规模将由2015年的1220亿美元,在5年间成长超过50%,并在2019年底达 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGE9XEM.html" rel="bookmark" class="title">用C&num;做调度系统连数据库</a>
					<div>
						问题描述 公司需要做一套调度系统,主要是用来,做仓库的管理,需要用C#做调度,连接数据库.现在需要提需求,我想知道这个需求该怎么提,有没有谁能帮我解答一下? 解决方案 解决方案二:题目:调度系统正文: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boK1w3b.html" rel="bookmark" class="title">我的Java开发学习之旅------&amp;amp&semi;gt&semi;心得总结：Java性能优化技巧集锦</a>
					<div>
						一.通用篇 &quot;通用篇&quot;讨论的问题适合于大多数Java应用. 1.1 不用new关键词创建类的实例 用new关键词创建类的实例时,构造函数链中的所有构造函数都会被自动调用.但如果一个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5RwYqz.html" rel="bookmark" class="title">win7下复制文本到webstorm中粘贴出来是上一次在webstorm中复制的文本</a>
					<div>
						问题描述 win7下复制文本到webstorm中粘贴出来是上一次在webstorm中复制的文本 我在其他地方复制一段文本,随便找个地方粘贴,没有问题,但是到webstorm中粘贴就编程了之前在webs ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5RLmDz.html" rel="bookmark" class="title">android-OnClickListener -正确执行</a>
					<div>
						问题描述 OnClickListener -正确执行 执行下面的代码: public class MainActivity extends Activity implements OnClickLis ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLg13WM.html" rel="bookmark" class="title">事件处理-MFC 按钮调用view类的函数</a>
					<div>
						问题描述 MFC 按钮调用view类的函数 如题,我在一个对话框(类名字为wer)里添加一个按钮,现在通过对按钮 添加 &quot;添加事件处理程序&quot;后想调用view里的一个函数,请问该怎么 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYXOGeb.html" rel="bookmark" class="title">客户端第二个窗体从第一个窗体获取的数据是前一次获取的数据&period;&period;&period;求救&period;</a>
					<div>
						问题描述 各位大神.有个问题求教.C#中,我做了两个窗体.这是一个客户端,第一个窗体是登录,第二个是接收数据显示数据的窗体..Form1中:publicstaticstringMsg_Str;void ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkAYVdb.html" rel="bookmark" class="title">读奇趣 轻松幽默搞笑视频娱乐平台</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 读奇趣,轻松幽默搞笑视频,海量笑话 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZ2gDwz.html" rel="bookmark" class="title">jquery 弹出登录窗口实现代码&lowbar;jquery</a>
					<div>
						主要层左右居中,设置left等于窗口宽除二减去自身层宽除二就居中了,至于窗口上下居中我没做到,固定了top等于滚动条隐去的 scrollTop加上50px; 当事件触发这个类时,首先判断一下两个层是否 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1N8kjp.html" rel="bookmark" class="title">个人网站如何赢利 ？</a>
					<div>
						      找准网站主攻方向      回顾自己的创业历程,旺财感觉到,对个人网站的发展来说,网站内容和发展方向的定位至关重要.对于网站的生存来说,如果访问量是核心,那么网站的定位就是关键了.我们常常 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvYODNb.html" rel="bookmark" class="title">2345浏览器赚钱是真的吗？ 2345浏览器怎么赚钱？</a>
					<div>
						1.我们就是利用 浏览器先来挣取积分,之后再利用 积分来兑换RMB了,具体的挣钱流程如下     2.首先介绍PC版的技术员联盟赚钱途径:   我们先打开2345浏览器PC版本的技术联盟了,如下图:( ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZmOWBp.html" rel="bookmark" class="title">关于kfsclient 写数据的问题</a>
					<div>
						问题描述 大神们好小弟最近在研究KFS代码如下:stringstrMetaHostName=&quot;localhost&quot;;stringstrDir=&quot;/mnt/test&quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqgWdGz.html" rel="bookmark" class="title">网络成瘾被判精神病 原来是乌龙一场</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 日前,由北京军区总医院制订的&lt ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYdwyZb.html" rel="bookmark" class="title">中国第三方支付市场季度监测数据报告</a>
					<div>
						易观智库昨日发布的&lt;2012Q1中国第三方支付市场季度监测&gt;数据报告显示,2012年第一季度,中国第三方互联网支付市场交易规模达到7583亿元,同比大增90.9%. 在网购.航旅.游戏等互 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdvD6db.html" rel="bookmark" class="title">求高手解决问题啊Luceen查询价格区间问题啊名字就可以索引出来怎么价格就不行啊</a>
					<div>
						问题描述 publicPaginationsearchPage(Directorydir,StringqueryString,LongwebId,LongctgId,LongstoreId,Doubl ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mx2yBjz.html" rel="bookmark" class="title">将Telerik&period;Reporting&period;Report对象类型作为参数传进方法</a>
					<div>
						问题描述 publicvoidExportToPDF(Telerik.Reporting.ReportreportToExport)//这里要用report类型,请问怎么转换{ReportProces ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvWQqap.html" rel="bookmark" class="title">解决住房问题双轨模式明确</a>
					<div>
						北京大学房地产业研究所所长陈国强表示,中央经济工作会议的定调,说明了明年会在保障房建设方面将会投入更多力气,在数量上会提出更高的指标.中央明年保障房建设的目标,将从今年的580万套提升至1000万套, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z432rrp.html" rel="bookmark" class="title">PowerDesigner中创建Oracle表全过程记录</a>
					<div>
						原文:PowerDesigner中创建Oracle表全过程记录 本文记录如何在PowerDesigner中创建一个Oracle结构的表. 在进行本文阅读之前,需要在PowerDesigner进行 DB ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkZAN7M.html" rel="bookmark" class="title">web&period;lists&lbrack;&amp;amp&semi;amp&semi;quot&semi;&amp;amp&semi;amp&semi;quot&semi;&rsqb;自己定义webservice出错，如何调用这个？</a>
					<div>
						问题描述 SPListtaskList=web.Lists[&quot;企业新闻&quot;];//这边出错,无法往下走,请问这个webservice如何写?publicstringadd_news( ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.032 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
